#ifndef GRAFIO_H
#define GRAFIO_H

#include "ofxXmlSettings.h"
#include "grafRecorder.h"
#include "pocoDirectoryLister.h"

class grafIO
{
    public:
        grafIO();
        virtual ~grafIO();

        void saveGrafTag( string directory, grafRecorder * src );
        void loadGrafTag( string folder, string directory, grafRecorder * dst );

        // checks if there is a tag to edit in the folder and loads
        bool loadGrafTagToEdit(grafRecorder * dst, int num);

        ofxPocoDirectoryLister PL;

    protected:
    private:
};

#endif // GRAFIO_H
